/**
 * Gov.co (https://www.gov.co) - Gobierno de Colombia
 *  - Componente: Desplegable
 *  - Version: 4.0.0
 */

/* Fuente iconografica */
@font-face {
    font-family: "govco-fontv2";
    src: url("../assets/icons/fonts/govco-font-icons.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

[class^="govco-"]:before,
[class*=" govco-"]:before {
    font-family: "govco-fontv2";
    font-style: normal;
    font-weight: normal;

    display: inline-block;
    text-decoration: inherit;
    width: 1em;
    margin-right: 0.2em;
    text-align: center;
    /* opacity: .8; */

    /* For safety - reset parent styles, that can break glyph codes*/
    font-variant: normal;
    text-transform: none;

    /* fix buttons height, for twitter bootstrap */
    line-height: 1em;

    /* Animation center compensation - margins should be symmetric */
    /* remove if not needed */
    margin-left: 0.2em;

    /* you can be more comfortable with increased icons size */
    /* font-size: 120%; */

    /* Font smoothing. That was taken from TWBS */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;

    /* Uncomment for 3D effect */
    /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
}


.desplegable-govco {
    position: relative;
    text-align: left;
    font: normal normal normal 16px/22px Work Sans;
    letter-spacing: 0px;
}

.desplegable-govco select {
    display: none;
}

.desplegable-selected-option {
    border: 1px solid #737373;
    border-radius: 5px;
}

.desplegable-selected-option.desplegable-selected-option-disabled {
    box-shadow: 0px 4px 0px #3366CC24;
    border: 1px solid #737373;
    border-radius: 5px;
    background: #F2F2F2 0% 0% no-repeat padding-box;
    border: 1px solid #BABABA;
    border-radius: 5px;
    opacity: 0.7;
}

.desplegable-selected-option.desplegable-selected-option-disabled input {
    background: #F2F2F2 0% 0% no-repeat padding-box;
    border: none;
}

.desplegable-selected-option.desplegable-selected-option-disabled::after {
    color: #BABABA;
}

.desplegable-selected-option.desplegable-selected-option-disabled .btn-clear-desplegable-govco::before {
    color: #BABABA;
}

.desplegable-selected-option.desplegable-selected-option-focus:before {
    background: none;
    border: 2px solid #000000;
    content: "";
    display: block;
    position: absolute;
    top: -5px;
    left: -5px;
    right: -5px;
    bottom: -5px;
    pointer-events: none;
    border-radius: 10.4px;
    transition: all 300ms;
}

.desplegable-selected-option.desplegable-selected-option-invalid {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 1px solid #A80521;
    border-radius: 5px;
    color: #A80521;
}

.desplegable-selected-option.desplegable-selected-option-invalid::after {
    content: none;
}

.desplegable-selected-option.desplegable-selected-option-disabled:hover {
    border: 1px solid #737373;
}

.desplegable-selected-option.desplegable-selected-option-invalid input::placeholder {
    color: #A80521;
}

.desplegable-selected-option.desplegable-selected-option-hover {
    box-shadow: 0px 4px 0px #3366CC24;
    border: 1px solid #3366CC;
    border-radius: 5px;
}

.desplegable-selected-option:hover {
    box-shadow: 0px 4px 0px #3366CC24;
    border: 1px solid #3366CC;
    border-radius: 5px;
}

.desplegable-selected-option:after {
    font-family: "govco-fontv2";
    font-size: 12px;
    content: '\e8b5';
    width: 30px;
    height: 30px;
    position: absolute;
    padding: 4px 8px 6px 8px;
    top: 5px;
    right: 0px;
    color: #3366cc;
}

.desplegable-selected-option.search-filter:after {
    border-left: 1px solid #BABABA;
}

.desplegable-selected-option:after:hover {
    position: absolute;
    content: "";
    top: 16px;
    right: 10px;
    width: 0;
    height: 0;
    border: 5px solid transparent;
    border-color: #3366CC transparent transparent transparent;
}

.desplegable-selected-option.desplegable-arrow-active:after {
    font-family: "govco-fontv2";
    font-size: 12px;
    content: '\e8b8';
    width: 30px;
    height: 30px;
    position: absolute;
    top: 5px;
    right: 0px;
    color: #3366cc;
}

.desplegable-selected-option.desplegable-arrow-active {
    border: 1px solid #3366CC;
}

.desplegable-items div, .desplegable-selected-option {
    font: normal normal normal 16px/24px Work Sans;
    color: #4B4B4B;
    padding: 7px 24px 7px 16px;
    cursor: pointer;
    user-select: none;
}

.desplegable-items div:hover {
    background: #E6EFFD 0% 0% no-repeat padding-box;
}

.desplegable-items div:focus, .same-as-selected {
    background: #3366CC 0% 0% no-repeat padding-box !important;
    text-align: left;
    font: normal normal 600 16px/24px Work Sans;
    letter-spacing: 0px;
    color: #FFFFFF !important;
    height: 40px;
}

.desplegable-items div .checkbox-govco {
    margin: 0;
    padding: 0;
    display: block;
    margin-bottom: 0px;
}

/* Examples styles */

.desplegable-items div.estado-hover {
    background: #E6EFFD 0% 0% no-repeat padding-box;
}

.desplegable-items div.estado-focus {
    background: #E6EFFD 0% 0% no-repeat padding-box;
    border: 2px solid #000000;
    font: normal normal normal 16px/22px Work Sans;
}

.desplegable-items div:focus {
    background: #E6EFFD 0% 0% no-repeat padding-box;
    border: 2px solid #000000;
    font: normal normal normal 16px/22px Work Sans;
}


.desplegable-items {
    box-shadow: 0px 4px 0px #3366CC24;
    position: absolute;
    outline: 1px solid #3366CC;
    border-radius: 5px;
    background-color: white;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 1;
    margin: 1px;
    margin-top: 2px;
    max-height: 200px;
    overflow-y: auto;
}

.desplegable-items::-webkit-scrollbar {
    width: 8.3px;
    background: #004884 0% 0% no-repeat padding-box;
    border-radius: 12px;
}

.desplegable-items::-webkit-scrollbar-thumb {
    border-radius: 12px;
    box-shadow: 0px 3px 6px #00000029;
    background-color: #FFFFFF;
    border: 1px solid #000;
}

.desplegable-hide {
    display: none;
}

.label-govco {
    text-align: left;
    font: normal normal normal 16px/22px Work Sans;
    letter-spacing: 0px;
    color: #4B4B4B;
}

.text-helper {
    margin-top: 8px;
    margin-bottom: 8px;
}

.text-error {
    margin-top: 8px;
    margin-bottom: 8px;
    color: #A80521;
}


.desplegable-selected-option input {
    display: inline-block;
    box-shadow: none;
    border: none;
    width: 100%;
    margin: 0;
    margin-top: -5px;
    padding: 0;
    height: 32px;
    transition: none;
    box-shadow: none;
}

.desplegable-selected-option input:focus {
    outline: none;
    padding: 0;
    border: 0;
    height: 20px;
    margin: 0;
    box-shadow: none;
}

.btn-clear-desplegable-govco::before {
    font-family: "govco-fontv2";
    font-size: 14px;
    font-weight: 100;
    content: '\eb73';
    color: #3366CC;
    position: absolute;
    right: 30px;
    margin: 0px 8px 4px 4px;
    display: inline-block;
}

.icon-error-desplegable-govco::before {
    font-family: "govco-fontv2";
    font-size: 24px;
    font-weight: 100;
    content: '\e92d';
    color: #A80521;
    position: absolute;
    right: 5px;
    margin: 1px 6px 4px 4px;
    display: inline-block;
}


.checkbox-govco {
    margin: 0;
    padding: 0;
    display: block;
    margin-bottom: 15px;
}


.checkbox-govco input {
    margin: 0;
    padding: 0;
    height: initial;
    width: initial;
    margin-bottom: 0;
    display: none;
    cursor: pointer;
}

.checkbox-govco label {
    margin: 0;
    padding: 0;
    position: relative;
    cursor: pointer;
    margin-bottom: 0px;
    display: initial;
    padding-left: 36px;
}

.checkbox-govco label:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    -webkit-appearance: none;
    border: 3px solid #3366cc;
    border-radius: 4px;
}

.checkbox-govco input:checked+label:after {
    content: "";
    margin: 0;
    padding: 0;
    display: block;
    position: absolute;
    top: 3px;
    left: 7px;
    width: 6px;
    height: 13px;
    border: solid #ffffff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.checkbox-govco input:checked+label:before {
    background-color: #004884;
    border: 3px solid #004884;
}

/* Calendario */
.desplegable-calendar-govco {
    position: relative;
}

.desplegable-calendar-govco button.icon {
    padding: 4px;
    margin: 0;
    border: transparent 2px solid;
    border-radius: 5px;
    text-align: left;
    background-color: white;
    position: relative;
    left: -4px;
    top: 3px;
}

.desplegable-calendar-govco button.icon:focus {
    outline: none;
    border-color: hsl(216, 80%, 55%);
}

.desplegable-calendar-govco span.arrow {
    margin: 0;
    padding: 0;
    display: none;
    background: transparent;
}

.desplegable-calendar-govco .desplegable-calendar-control {
    display: none;
    width: 280px;
    border: 1px solid #737373;
    border-radius: 5px;
    padding: 0px 16px;
    margin-top: 4px;
    box-shadow: 0px 4px 0px #3366CC24;
}

.desplegable-calendar-govco .header {
    padding: 10px 6px 8px 6px;
    margin-top: 8px;
    margin-bottom: 8px;
    cursor: pointer;
    position: relative;
    text-align: center;
}

.desplegable-calendar-govco .header h2 {
    margin: 0;
    padding: 0;
    display: inline-block;
    font-size: 16px;
    color: #4B4B4B;
    text-transform: none;
    font-weight: bold;
}

.desplegable-calendar-govco .header button {
    border-style: none;
    background: transparent;
}

.desplegable-calendar-govco .desplegable-calendar-control button::-moz-focus-inner {
    border: 0;
}

.desplegable-calendar-govco .prev-month,
.desplegable-calendar-govco .prev-year,
.desplegable-calendar-govco .prev-decade {
    position: absolute;
    padding: 6px 0px 6px 0px;
    top: 4px;
    left: 0px;
    color: #3366cc;
}

.desplegable-calendar-govco .next-month,
.desplegable-calendar-govco .next-year,
.desplegable-calendar-govco .next-decade {
    position: absolute;
    padding: 6px 0px 6px 0px;
    top: 4px;
    right: 0px;
    color: #3366cc;
}

.desplegable-calendar-govco .fa-calendar-alt {
    color: hsl(216, 89%, 72%);
}

.desplegable-calendar-govco .month-year {
    display: inline-block;
    width: 12em;
    text-align: center;
}

.desplegable-calendar-govco table.dates {
    width: 100%;
    padding-left: 1em;
    padding-right: 1em;
    padding-top: 1em;
}

.desplegable-calendar-govco table.dates th,
.desplegable-calendar-govco table.dates td {
    text-align: center;
    font-size: 13px;
}

.desplegable-calendar-govco table.dates th {
    padding: 1px 6px;
    width: 35px;
    height: 24px;
    text-align: center;
    margin-bottom: 2px;
}

.desplegable-calendar-govco .date-cell {
    outline: 0;
    border: 0;
    padding: 0;
    margin: 0;
    height: 40px;
    width: 40px;
    font-size: 14px;
}

.desplegable-calendar-govco .month-cell {
    outline: 0;
    border: 0;
    padding: 0;
    margin: 0;
    height: 40px;
    width: 40px;
    font-size: 14px;
    font-family: "Work Sans";
    font-weight: 600;
    letter-spacing: 0px;
    color: #4B4B4B;
}

.desplegable-calendar-govco .month-button {
    padding: 1px 6px;
    width: 60px;
    height: 64px;
    background: none;
    border: none;
    -webkit-appearance: none;
    display: inline-block;
    border-radius: 4px;
}


.desplegable-calendar-govco .year-cell {
    outline: 0;
    border: 0;
    padding: 0;
    margin: 0;
    height: 40px;
    width: 40px;
    font-size: 14px;
    font-family: "Work Sans";
    font-weight: 600;
    letter-spacing: 0px;
    color: #4B4B4B;
}

.desplegable-calendar-govco .year-button {
    padding: 1px 6px;
    width: 60px;
    height: 64px;
    background: none;
    border: none;
    -webkit-appearance: none;
    display: inline-block;
    border-radius: 4px;
}

.desplegable-calendar-govco .date-button {
    padding: 1px 6px;
    width: 35px;
    height: 32px;
    color: none;
    background: none;
    border: none;
    -webkit-appearance: none;
    display: inline-block;
    align-items: none;
    border-radius: 4px;
}

.desplegable-calendar-govco .date-button:hover,
.desplegable-calendar-govco .year-button:hover,
.desplegable-calendar-govco .month-button:hover {
    background-color: #E6EFFD;
}

.desplegable-calendar-govco .date-button:focus,
.desplegable-calendar-govco .year-button:focus,
.desplegable-calendar-govco .month-button:focus {
    background-color: #3366CC;
    color: #FFFFFF;
    outline: 0;
}

.desplegable-calendar-govco .date-button[aria-selected],
.desplegable-calendar-govco .year-button[aria-selected],
.desplegable-calendar-govco .month-button[aria-selected] {
    border-color: #3366CC;
    color: #FFFFFF;
}

.desplegable-calendar-govco .date-button[tabindex="0"],
.desplegable-calendar-govco .year-button[tabindex="0"],
.desplegable-calendar-govco .month-button[tabindex="0"] {
    background-color: #3366CC;
    color: #FFFFFF;
}

.desplegable-calendar-govco .disabled {
    opacity: 0.5;
}

.desplegable-calendar-govco .date-button:disabled {
    color: #777;
    background-color: #fff;
    border: none;
    cursor: not-allowed;
}

/* '' */
.govco-chevron-left:before {
    content: '\e8b6';
}

/* '' */
.govco-chevron-right:before {
    content: '\e8b7';
}